%define anolis_release 1

%global pypi_name requests_unixsocket2
%global package_name requests-unixsocket

# pypi:requests-unixsocket is nolonger maintained upstream
# pypi:requests-unixsocket2 is a for that provides requests-unixsocket
# This package pulls from requests-unixsocket2 and packages as requests-unixsocket
# See change log 0.4.0-1 for details.

Summary:       Use requests to talk HTTP via a UNIX domain socket
Name:          python-%{package_name}
Version:       0.4.0
Release:       %{anolis_release}%{?dist}
License:       ASL 2.0
URL:           https://github.com/thelabnyc/requests-unixsocket2
Source0:       %{pypi_source}
BuildArch:     noarch

%description
Use requests to talk HTTP via a UNIX domain socket.

%package -n     python3-%{package_name}
Summary:        Use requests to talk HTTP via a UNIX domain socket
BuildRequires: python3-devel
BuildRequires: python3dist(setuptools), python3dist(pytest)
BuildRequires: python3dist(requests), python3dist(urllib3), python3dist(waitress)
BuildRequires:  python3dist(pip) python3dist(poetry-core)

%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(requests)

%description -n python3-%{package_name}
Use requests to talk HTTP via a UNIX domain socket.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove shebangs
sed -i '1d' requests_unixsocket/tests/test_requests_unixsocket.py

%build
%pyproject_wheel

%install
%pyproject_install
mv %{buildroot}%{python3_sitelib}/requests_unixsocket2-%{version}.dist-info %{buildroot}%{python3_sitelib}/requests_unixsocket-%{version}.dist-info
sed -i 's/unixsocket2/unixsocket/g' %{buildroot}%{python3_sitelib}/requests_unixsocket-%{version}.dist-info/METADATA

%check
%pytest

%files -n python3-%{package_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/requests_unixsocket
%{python3_sitelib}/requests_unixsocket-%{version}.dist-info

%changelog
* Mon Apr 21 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.0-1
- update to 0.4.0 to fix build err

* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.2.0-2
- Rebuild with python3.11

* Thu Apr 20 2023 DengXiewei <dengxiewei@linux.alibaba.com> - 0.2.0-1
- Initial package from upstream

